<?
include_once H.'/sys/inc/start.php';
include_once H.'/sys/inc/compress.php';
include_once H.'/sys/inc/sess.php';
include_once H.'/sys/inc/home.php';
include_once H.'/sys/inc/settings.php';
include_once H.'/sys/inc/db_connect.php';
include_once H.'/sys/inc/ipua.php';
include_once H.'/sys/inc/fnc.php';
include_once H.'/sys/inc/user.php';
include_once H.'/sys/inc/shif.php';

only_level(4);

$set['title']='Рассылка сообщений';
include_once H.'/sys/inc/thead.php';
title();

aut();


?>

<style>
.vpravo{float:right;}
.end{display:inline-block;overflow:hidden}
.phcmp_i{margin-right:.3em;padding:.2em .3em;text-align:center;color:#fff;background-color:#61bf01;font-size:small}
.phcmp_i{display:inline-block;padding-right:1.5em;position:relative;overflow:hidden;margin-right:0}.n 
.phcmp_i:after{content:'';display:block;height:100%;width:1.5em;position:absolute;top:0;right:-.8em;background:#fff;
-webkit-transform:rotate(45deg);-moz-transform:rotate(45deg);-ms-transform:rotate(45deg);transform:rotate(45deg)}.
</style>

<?

$id = intval($_GET['id']);
$fk=mysql_fetch_assoc(mysql_query("SELECT * FROM `fk` WHERE `id` = '".$id."' "));
if(!isset($id) or $fk['name'] == null){
header("Location: index.php?".SID); }

echo '<div class="main">Рассылка сообщений о фотоконкурсе:</div>';

if($fk['images'] == null) { $images = '<img src="img/not.png"  alt="*" class="image" align="left" height="50" width="50" style="margin: -4px 8px 1px 0px;"/>'; }
else { $images = '<img src="images/'.$fk['images'].'"  alt="*" class="image" align="left" height="50" width="50" style="margin: -4px 8px 1px 0px;"/>'; }

if($fk['active'] == 0) { $end = '<span class="end">завершен</span>'; }
else { $end = ''; }

echo'<div class="mess">
'.$images.'
<body class="noscroll n fixe"> <span class="phcmp_i">Конкурс</span>'.$end.'
<br/>'.$fk['name'].'<br/></div>';

$msg = 'Привет .2пал. Администрация  .королева.  сайта приглашает Вас принять участие .ковбой. в фотоконкурсе [url=/plugins/foto.konkurs/konkurs.php?id='.$id.'][b]'.$fk['name'].'[/b][/url] .пост.';

echo '<div class="main">Вид сообщения:</div>';

echo'<div class="mess"> Здравствуйте! Администрация сайта приглашает Вас принять участие на фотоконкурсе <a href="/plugins/foto.konkurs/konkurs.php?id='.$id.'"> <b>'.$fk['name'].'</b></a> </div>';
if (isset($_GET['save']) and isset($_POST['save'])){



if($_POST['pol'] == 'all') {
$q=mysql_query("SELECT `id` FROM `user` WHERE `id` != '".$user['id']."' and `date_last` > '".(time()-864000)."' ");
while ($us = mysql_fetch_array($q))
{

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '$us[id]' AND `id_kont` = '0'"), 0)==0)
{
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('$user[id]', '$us[id]', '$time')");

}

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us[id]', '$msg', '$time')");
mysql_query("UPDATE `konts` SET `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");
}
 header("Location: ?id=$id&save&all".SID); }
 
 
 
if($_POST['pol'] == '1') {
$q=mysql_query("SELECT `id` FROM `user` WHERE `id` != '".$user['id']."' and `date_last` > '".(time()-864000)."' and `pol` = '1' ");
while ($us = mysql_fetch_array($q))
{

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '$us[id]' AND `id_kont` = '0'"), 0)==0)
{
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('$user[id]', '$us[id]', '$time')");

}

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us[id]', '$msg', '$time')");
mysql_query("UPDATE `konts` SET `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");
} header("Location: ?id=$id&save&p".SID); }


if($_POST['pol'] == '0') {
$q=mysql_query("SELECT `id` FROM `user` WHERE `id` != '".$user['id']."' and `date_last` > '".(time()-864000)."' and `pol` = '0' ");

while ($us = mysql_fetch_array($q))
{

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `konts` WHERE `id_user` = '$us[id]' AND `id_kont` = '0'"), 0)==0)
{
mysql_query("INSERT INTO `konts` (`id_kont`, `id_user`, `time`) values('$user[id]', '$us[id]', '$time')");

}

mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us[id]', '$msg', '$time')");
mysql_query("UPDATE `konts` SET `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]'");
} header("Location: ?id=$id&save&d".SID); }
 
 
 


}

if (isset($_GET['all'])){
$vsego=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `date_last` > '".(time()-864000)."' and `id` != '".$user['id']."' "),0);

echo '<div class="msg">'.$vsego.' пользователей получили ваше сообщение!</div>';
}

if (isset($_GET['p'])){
$vsego=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` where `pol` = '1' and `date_last` > '".(time()-864000)."' and `id` != '".$user['id']."'  "),0);

echo '<div class="msg">'.$vsego.' парней получили ваше сообщение!</div>';
}

if (isset($_GET['d'])){
$vsego=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` where `pol` = '0' and `date_last` > '".(time()-864000)."' and `id` != '".$user['id']."'  "),0);

echo '<div class="msg">'.$vsego.' девушек получили ваше сообщение!</div>';
}


echo "<div class='nav2'><form method='post' action='?id=".$id."&save'>\n";


echo 'Кому:<br /><select name="pol">
  <option value="all">Всем</option>
  <option value="1">Парням</option>
  <option value="0">Девушкам</option>
</select>';


echo "<input type='submit' name='save' value='Расслать' />\n";
echo "</form></div>\n";
echo '<div class="err"><small>* Сообщения получат пользователи, посетившие сайт в течение последних 10 дней!</small></div>';


echo '<div class="foot"><img src="/style/icons/str2.gif"> <a href="konkurs.php?id='.$id.'">Назад</a></div>';
echo '<div class="foot"><img src="img/fk.png"> <a href="index.php">Фотоконкурсы</a></div>';
include_once H.'/sys/inc/tfoot.php';
?>